<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net10.0-windows</TargetFramework>
    <UseWindowsForms>true</UseWindowsForms>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <Platforms>x64</Platforms>
    <Configurations>Debug;Release</Configurations>
    <Version>1.0.0</Version>
    <OutputPath>..\..\proj\$(Configuration)\</OutputPath>
    <BaseOutputPath>$(SolutionDir)bin\$(MSBuildProjectName)\</BaseOutputPath>
    <BaseIntermediateOutputPath>$(SolutionDir)obj\$(MSBuildProjectName)\</BaseIntermediateOutputPath>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="$(SolutionDir)_deps\cue4parse-src\CUE4Parse\CUE4Parse.csproj">
      <Properties>CMakeExitCode=0;Platform=AnyCPU</Properties>
    </ProjectReference>

    <ProjectReference Include="$(SolutionDir)_deps\cue4parse-src\CUE4Parse-Conversion\CUE4Parse-Conversion.csproj">
      <Properties>CMakeExitCode=0;Platform=AnyCPU</Properties>
    </ProjectReference>
  </ItemGroup>
</Project>